Uses of Enum Class
se.michaelthelin.spotify.enums.CountryCode
Packages that use CountryCode
Package
Description
-
Uses of CountryCode in se.michaelthelin.spotify.enums
Subclasses with type arguments of type CountryCode in se.michaelthelin.spotify.enumsModifier and TypeClassDescriptionenumAn enumeration of the ISO 3166-1 alpha-2 country codes, as used by Spotify'smarketandcountryparameters.Methods in se.michaelthelin.spotify.enums that return CountryCodeModifier and TypeMethodDescriptionstatic CountryCodeGet a CountryCode by its ISO 3166-1 alpha-2 code.static CountryCodeReturns the enum constant of this class with the specified name.static CountryCode[]CountryCode.values()Returns an array containing the constants of this enum class, in the order they are declared. -
Uses of CountryCode in se.michaelthelin.spotify.model_objects.special
Methods in se.michaelthelin.spotify.model_objects.special that return CountryCodeModifier and TypeMethodDescriptionAlbumSimplifiedSpecial.getAvailableMarkets()Get the country codes of all countries, in which the album is available.Methods in se.michaelthelin.spotify.model_objects.special with parameters of type CountryCodeModifier and TypeMethodDescriptionAlbumSimplifiedSpecial.Builder.setAvailableMarkets(CountryCode... availableMarkets) -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.albums
Methods in se.michaelthelin.spotify.requests.data.albums with parameters of type CountryCodeModifier and TypeMethodDescriptionGetAlbumRequest.Builder.market(CountryCode market) The market query parameter setter.GetAlbumTracksRequest.Builder.market(CountryCode market) The market query parameter setter.GetSeveralAlbumsRequest.Builder.market(CountryCode market) The market query parameter setter.GetUsersSavedAlbumsRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.artists
Methods in se.michaelthelin.spotify.requests.data.artists with parameters of type CountryCodeModifier and TypeMethodDescriptionGetArtistsAlbumsRequest.Builder.market(CountryCode market) The market filter setter.GetArtistsTopTracksRequest.Builder.market(CountryCode market) The market query parameter setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.audiobooks
Methods in se.michaelthelin.spotify.requests.data.audiobooks with parameters of type CountryCodeModifier and TypeMethodDescriptionGetAudiobookChaptersRequest.Builder.market(CountryCode market) The market query parameter setter.GetAudiobookRequest.Builder.market(CountryCode market) The market query parameter setter.GetSeveralAudiobooksRequest.Builder.market(CountryCode market) The market query parameter setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.chapters
Methods in se.michaelthelin.spotify.requests.data.chapters with parameters of type CountryCodeModifier and TypeMethodDescriptionGetChapterRequest.Builder.market(CountryCode market) The market query parameter setter.GetSeveralChaptersRequest.Builder.market(CountryCode market) The market query parameter setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.episodes
Methods in se.michaelthelin.spotify.requests.data.episodes with parameters of type CountryCodeModifier and TypeMethodDescriptionGetEpisodeRequest.Builder.market(CountryCode market) The market country code setter.GetSeveralEpisodesRequest.Builder.market(CountryCode market) The market query parameter setter.GetUsersSavedEpisodesRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.player
Methods in se.michaelthelin.spotify.requests.data.player with parameters of type CountryCodeModifier and TypeMethodDescriptionGetCurrentlyPlayingTrackRequest.Builder.market(CountryCode market) The market country code setter.GetPlaybackStateRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.playlists
Methods in se.michaelthelin.spotify.requests.data.playlists with parameters of type CountryCodeModifier and TypeMethodDescriptionGetCategoryPlaylistsRequest.Builder.country(CountryCode country) The country code setter.GetFeaturedPlaylistsRequest.Builder.country(CountryCode country) The country code setter.GetPlaylistItemsDeprecatedRequest.Builder.market(CountryCode market) Deprecated.The market country code setter.GetPlaylistItemsRequest.Builder.market(CountryCode market) The market country code setter.GetPlaylistRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.search
Methods in se.michaelthelin.spotify.requests.data.search with parameters of type CountryCodeModifier and TypeMethodDescriptionSearchForItemRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.search.simplified
Methods in se.michaelthelin.spotify.requests.data.search.simplified with parameters of type CountryCodeModifier and TypeMethodDescriptionSearchAlbumsRequest.Builder.market(CountryCode market) The market country code setter.SearchArtistsRequest.Builder.market(CountryCode market) The market country code setter.SearchAudiobooksRequest.Builder.market(CountryCode market) The market country code setter.SearchEpisodesRequest.Builder.market(CountryCode market) The market country code setter.SearchPlaylistsRequest.Builder.market(CountryCode market) The market country code setter.SearchShowsRequest.Builder.market(CountryCode market) The market country code setter.SearchTracksRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.search.simplified.special
Methods in se.michaelthelin.spotify.requests.data.search.simplified.special with parameters of type CountryCodeModifier and TypeMethodDescriptionSearchAlbumsSpecialRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.shows
Methods in se.michaelthelin.spotify.requests.data.shows with parameters of type CountryCodeModifier and TypeMethodDescriptionGetSeveralShowsRequest.Builder.market(CountryCode market) The market query parameter setter.GetShowEpisodesRequest.Builder.market(CountryCode market) The market country code setter.GetShowRequest.Builder.market(CountryCode market) The market country code setter. -
Uses of CountryCode in se.michaelthelin.spotify.requests.data.tracks
Methods in se.michaelthelin.spotify.requests.data.tracks with parameters of type CountryCodeModifier and TypeMethodDescriptionGetRecommendationsRequest.Builder.market(CountryCode market) The country code setter.GetSeveralTracksRequest.Builder.market(CountryCode market) The market query parameter setter.GetTrackRequest.Builder.market(CountryCode market) The market country code setter.GetUsersSavedTracksRequest.Builder.market(CountryCode market) The market country code setter.